Announcement

Collapse
No announcement yet.

vb 3.x Security Updates Going forward

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • vb 3.x Security Updates Going forward

    I'm trying to compile information for several clients with regard to what they want to do. Some have relayed to me a preference not to make the move to vB 4 at this time for various reasons. I've read here that if your annual maintenance expires before vb 4.0, you'll still be entitled to the updates on the 3.x path. This would make sense considering that there is no ability to renew your maintenance agreement any more and that primary development is moving towards version 4 and only minor security updates will be issued for 3.x. Can anyone confirm that this is the case?
    My law forum, lawyers and legal help site

  • #2
    Anyone? This is a very important question to answer. Right now it makes sense that 3.8.x licenseholders get the updates free even if your maintenance expires given the structure and nature of the upgrade switch.
    My law forum, lawyers and legal help site

    Comment


    • #3
      I can state categorically that vB 3.8 will not be maintained forever and that you will eventually have to upgrade if you want to remain secure. Older versions will not be supported indefinitely.

      The quick answer is that there is no exact answer to the question of how long securtiy patches will be made and avaialble. The truth is that we have always provided security patches for older versions whenever feasible to do so. In fact we just released one for vB 3.6.12 a few weeks ago.

      Please fill out a support ticket at:

      http://members.vbulletin.com/members...ontactform.php

      And we will try to get a clearer answer. If we do it will be published on the FAQ page.
      Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
      Change CKEditor Colors to Match Style (for 4.1.4 and above)

      Steve Machol Photography


      Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


      Comment


      • #4
        Originally posted by Steve Machol View Post
        I can state categorically that vB 3.8 will not be maintained forever and that you will eventually have to upgrade if you want to remain secure. Older versions will not be supported indefinitely. The quick answer is that there is no exact answer to the question of how long securtiy patches will be made and avaialble. The truth is that we have always provided security patches for older versions whenever feasible to do so. In fact we just released one for vB 3.6.12 a few weeks ago. Please fill out a support ticket at:
        Steve - thanks for your answer. You've always been an incredibly dedicated person to the product.

        The fact is that all of us will be using 3.8.x for at least the next several months. What happens if a current license holder's maintenance expires in November, December or January? How could this not have been the first question to answer before presenting customers with a 2 week upgrade ultimatum? Without an answer, unfortunately the message reads "you're being forced to pay to upgrade all your forums to the vB 4 suite right now or later - just deal with it and ante up." Perhaps solving this unnecessary confusion may start helping in diffusing the heat that has risen here in the forums. Regardless, I've got 5 days to present my clients with options who aren't quite sure why I shouldn't have them together today.
        My law forum, lawyers and legal help site

        Comment


        • #5
          I think if vB4 is presented as a new product. The security update for vB3.8 should continue. It is not reasonable to expect for security update for vB2 etc. However vB3.8 is the current release version, it should be the software provider's responsibility to provide minimum security maintainence, instead of forced upgrade.

          Comment


          • #6
            Originally posted by slinky View Post
            The fact is that all of us will be using 3.8.x for at least the next several months. What happens if a current license holder's maintenance expires in November, December or January?
            What would have happened if they weren't releaseing 4.0 ... you would still have had to renew to get any updates and security releases for 3.8!! All that is being asked now is that we pay a lump sum for the security and other updates rather than the annual fee. I can not see what the problem is? Its a nobrainer not to pay now in advance and take advantage of the discount being offered. I can not see what the problem is?

            I plan on keeping 3.8 on all my forums for at least a few years yet; i still have one that is 3.6 (and they just released a security update for that!). I have renewed them all to take advantage of the discount. It works out cheaper to take the discount; renew them all and not have to pay the annual fee. I can only assume most of those who are whinging are not very good at mathematics.

            Comment


            • #7
              Originally posted by slinky View Post
              Steve - thanks for your answer. You've always been an incredibly dedicated person to the product.

              The fact is that all of us will be using 3.8.x for at least the next several months. What happens if a current license holder's maintenance expires in November, December or January? How could this not have been the first question to answer before presenting customers with a 2 week upgrade ultimatum? Without an answer, unfortunately the message reads "you're being forced to pay to upgrade all your forums to the vB 4 suite right now or later - just deal with it and ante up." Perhaps solving this unnecessary confusion may start helping in diffusing the heat that has risen here in the forums. Regardless, I've got 5 days to present my clients with options who aren't quite sure why I shouldn't have them together today.
              Security patches are always downloadable whether or not you have an active license.
              Attached Files

              Comment


              • #8
                Originally posted by squall14716 View Post
                Security patches are always downloadable whether or not you have an active license.
                If your maintenance agreement runs out you don't have download access and must renew from what I have seen and this is why it remains a question to be answered. I'm waiting for the business week to begin so we can get an official answer at this late date.
                My law forum, lawyers and legal help site

                Comment


                • #9
                  Wrong!

                  You can and ALWAYS were allowed to download latest patches. You ONLY needed to renew to upgrade to a new version or get the patches installed within the files.

                  The patches provided on the site, were plugins or files that had to be uploaded.

                  So, technically you didn't have to renew, although most people did still.

                  As far as I know, Jelsoft is SUPPOSED to provide patches even if your license is not renewed. Yes, I'm sure there will be a point where they will stop. Eg. vB5 or vB6 comes out.

                  Comment


                  • #10
                    Hmm, don't I know you from somewhere? (:

                    Originally posted by FreshFroot_ View Post
                    Wrong!

                    You can and ALWAYS were allowed to download latest patches. You ONLY needed to renew to upgrade to a new version or get the patches installed within the files.

                    The patches provided on the site, were plugins or files that had to be uploaded.

                    So, technically you didn't have to renew, although most people did still.

                    As far as I know, Jelsoft is SUPPOSED to provide patches even if your license is not renewed. Yes, I'm sure there will be a point where they will stop. Eg. vB5 or vB6 comes out.
                    Indeed, and typically security fixes do not stop until a particular version is EOL'ed. Even with vB4 coming out, It might be quite some time before 3.8 is EOL.
                    Regards,
                    Eric Sizemore


                    My modifications

                    Comment


                    • #11
                      Originally posted by slinky View Post
                      If your maintenance agreement runs out you don't have download access and must renew from what I have seen and this is why it remains a question to be answered. I'm waiting for the business week to begin so we can get an official answer at this late date.
                      Neither of the licenses in my screenshot are current - in fact, the bottom one's latest available version is 3.6.7 PL1. Security patches that are released are available to all license holders irregardless if you you actually can use the version it patches.

                      Comment


                      • #12
                        Originally posted by FreshFroot_ View Post
                        Wrong! You can and ALWAYS were allowed to download latest patches. You ONLY needed to renew to upgrade to a new version or get the patches installed within the files.
                        Now I'm completely confused. So I'm allowed to download the latest patches but they just can't be downloaded in your members section? Now before you tell me I'm wrong so quickly, please explain how someone updates from, let's say 3.7.1 to 3.8.3pl2? I thought that was the point of having a password protected members area.

                        Originally posted by FreshFroot_ View Post
                        The patches provided on the site, were plugins or files that had to be uploaded.

                        So, technically you didn't have to renew, although most people did still.
                        So what you're saying is that most people probably renewed not realizing they didn't have to renew. Just great. Still, I need to know an official word here on this one issue.
                        My law forum, lawyers and legal help site

                        Comment


                        • #13
                          Originally posted by slinky View Post
                          Now I'm completely confused. So I'm allowed to download the latest patches but they just can't be downloaded in your members section? Now before you tell me I'm wrong so quickly, please explain how someone updates from, let's say 3.7.1 to 3.8.3pl2? I thought that was the point of having a password protected members area.
                          The password protected area has nothing to do with the active status of your licenses. Your password does not get useless when your license expires - how should you renew?

                          Regarding patches, you need to make clear what you really mean. An upgrade of the software is something like this: 3.6 -> 3.7, 3.7 -> 3.8. A security patch is not an upgrade. A security patch gets applied to the version you are currently running. If you're running 3.6.12 at the moment and your license is expired, you can download the security patch Steve mentioned from your customer area. This patch will not change the version of the forum software you are running, it will just add a PL1 to it (Patch Level). Those patches have in the past been provided for all security relevant fixes, always for the most current release in a branch (i.e.: there's a patch for 3.6.12, but not for 3.6.4).

                          Bottom line: A security patch is different from an upgrade of the software, and you need to make clear which one you mean.

                          Comment


                          • #14
                            Originally posted by cellarius View Post
                            Bottom line: A security patch is different from an upgrade of the software, and you need to make clear which one you mean.
                            BOTH. At this point it really doesn't matter. What is the status of ANY updates to 3.x going forward and not upgrading to vb4. There are plenty of clients/people who don't want to upgrade until they are ready if at all. Some of our sites are very heavily invested in vb3 and its mods and have a great CMS like Wordpress or Joomla fully integrated. What happens with any updates made going forward to vb3 if your maintenance expires? What if you want to get all the updates until the end of the 3.x product life cycle? Right now the choice given here is to pay up a large $130 or a very large $190 for an upgrade to vb4 suite or... what?
                            My law forum, lawyers and legal help site

                            Comment


                            • #15
                              OK, I guess I'm going to have to take out a support ticket for this. It's just remarkable that there are no answers to this important question. I'd have thought that someone would have had an answer on this issue before setting this alpha pre-sale in motion for 2 weeks.
                              My law forum, lawyers and legal help site

                              Comment

                              widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                              Working...
                              X